package com.jsowell.common.exception;

import com.jsowell.common.enums.ykc.ReturnCodeEnum;
import lombok.Data;

@Data
public class BusinessException extends RuntimeException{
	private static final long serialVersionUID = 1L;

	/**
	 * 错误码
	 */
	private String code;

	/**
	 * 错误提示
	 */
	private String message;

	public BusinessException(ReturnCodeEnum returnCodeEnum) {
		this.code = returnCodeEnum.getValue();
		this.message = returnCodeEnum.getLabel();
	}

	public BusinessException(String code, String message) {
		this.code = code;
		this.message = message;
	}
}
